> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/rest-api/batch-requests.md).

# Batch requests

Use Batch requests to send **up to 500** API calls to Ecwid, thus increasing your server performance. Such requests are most useful when you need to send multiple requests of a similar nature, for example, update the product stock for 400 products.

{% hint style="info" %}
Separate batch requests for the same store use the **FIFO sequence**. Until the earlier batches are fully processed, the later ones will not start.\
\
The same **FIFO sequence** applies to all API calls inside one batch. For example, if an API call inside a batch deletes a product, the next call won't be able to update this product as it has already been deleted.
{% endhint %}

You can further speed up the completion of batch requests by passing the `allowParallelMode=true` query param. In that case, up to **100** requests from your batch will be processed simultaneously.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/batch-requests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
